-- by modelleicher
-- www.ls-modcompany.com
-- Version 5 (FS19 conversion)
-- now FS19 ready! :) 20.11.2018

FillTypeMassAdjustment = {};

function FillTypeMassAdjustment:loadMap(name)
	print("- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - ")
	print("FillType Mass Adjustment FS19 by modelleicher loaded.");
	print("............................................................................................................")
	-- all new mass values according to real values:
	local realMass = {};
	
	 realMass.UNKNOWN = 0
	 realMass.WHEAT = 0.0001 
	 realMass.BARLEY = 0.0001 
	 realMass.OAT = 0.001 
	 realMass.COTTON = 0.001 
	 realMass.CANOLA = 0.0001 
	 realMass.SUNFLOWER = 0.0001; 
	 realMass.SOYBEAN = 0.0001 
	 realMass.MAIZE = 0.0001 
	 realMass.POTATO = 0.0001 
	 realMass.SUGARBEET = 0.0001 
	 realMass.OILSEEDRADISH = 0.001; 
	 realMass.POPLAR = 0.001; 
	 realMass.GRASS = 0.0001 
	 realMass.GRASS_WINDROW = 0.0001 
	 realMass.DRYGRASS = 0.0001 
	 realMass.DRYGRASS_WINDROW = 0.0001 
	 realMass.SUGARCANE = 0.001 
	 realMass.MILK = 0.001 
	 realMass.FUEL = 0.0001 
	 realMass.WATER = 0.001
	 realMass.SEEDS = 0.0001 
	 realMass.WOOL = 0.0001 
	 realMass.FORAGE = 0.001 
	 realMass.FORAGE_MIXING = 0.0001 
	 realMass.CHAFF = 0.0001  
	 realMass.TREESAPLINGS = 0.001 
	 realMass.WOODCHIPS = 0.0001 
	 realMass.EGG = 0.0001 
	 realMass.SILAGE = 0.0001  
	 realMass.STRAW = 0.001; 
	 realMass.DIESEL = 0.0001 
	 realMass.DEF = 1 
	 realMass.AIR = 0 
	 realMass.SORGHUM = 0.0001 
	 realMass.GRAPE = 0.0001 
	 realMass.OLIVE = 0.0001 
	 realMass.OILSEEDRADISH = 0.0001
	 realMass.MEADOW = 0.0001 
	 realMass.HONEY = 0.0001 
	 
	 realMass.ROUNDBALE = 150
	 realMass.ROUNDBALE_GRASS = 150
	 realMass.ROUNDBALE_DRYGRASS = 150
	 realMass.ROUNDBALE_WHEAT = 150
	 realMass.ROUNDBALE_BARLEY = 150
	 realMass.SQUAREBALE = 150
	 realMass.SQUAREBALE_WHEAT = 150
	 realMass.SQUAREBALE_BARLEY = 150
	 -- 
	 realMass.FERTILIZER = 1.1
	 realMass.LIQUIDFERTILIZER = 1 
	 realMass.MANURE = 0.790 
	 realMass.LIQUIDMANURE = 0.980 
	 realMass.DIGESTATE = 0.500 
	 realMass.PIGFOOD = 0.610 
	 realMass.TARP = 0
	 realMass.LIME = 1.1 
	 realMass.HERBICIDE = 1 
	 realMass.WEED = 1.5 
	 
	 realMass.HORSE_TYPE_BEIGE = 0.650
	 realMass.HORSE_TYPE_BLACK = 0.650
	 realMass.HORSE_TYPE_BROWN = 0.650
	 realMass.HORSE_TYPE_BROWN_WHITE = 0.650
	 realMass.HORSE_TYPE_DARK_BROWN = 0.650
	 realMass.HORSE_TYPE_GREY = 0.650
	 realMass.HORSE_TYPE_LIGHT_BROWN = 0.650
	 realMass.HORSE_TYPE_RED_BROWN = 0.650
	 -- cows.. 680kg is a good cow I'd say
	 realMass.COW_TYPE_BROWN = 0.680
	 realMass.COW_TYPE_BROWN_WHITE = 0.680
	 realMass.COW_TYPE_BLACK = 0.680
	 realMass.COW_TYPE_BLACK_WHITE = 0.680
	
	 realMass.COW_TYPE_BRAHMAN_BROWN = 0.700
	 realMass.COW_TYPE_BRAHMAN_WHITE = 0.700
	 realMass.COW_TYPE_BRAHMAN_LIGHT_BROWN = 0.700
	 realMass.COW_TYPE_BRAHMAN_GREY = 0.700
	 
	 realMass.SHEEP_TYPE_WHITE = 0.100
	 realMass.SHEEP_TYPE_BROWN = 0.100
	 realMass.SHEEP_TYPE_BLACK_WHITE = 0.100
	 realMass.SHEEP_TYPE_BLACK = 0.100
	 
	 realMass.PIG_TYPE_RED = 0.300
	 realMass.PIG_TYPE_WHITE = 0.300
	 realMass.PIG_TYPE_BLACK_WHITE = 0.300
	 realMass.PIG_TYPE_BLACK = 0.300
	 
	 realMass.CHICKEN_TYPE_BLACK = 0.002
	 realMass.CHICKEN_TYPE_WHITE = 0.002
	 realMass.CHICKEN_TYPE_BROWN = 0.002
	 realMass.CHICKEN_TYPE_ROOSTER = 0.002

	
	-----
	-- if you want to add a custom fruitType with a custom mass you can just add it to the realMass Table
	-- realMass.NAME_OF_CUSTOM_FRUITTYPE = VALUE_IN_TONS_PER_M3
	-----
	

	
	
	for k, v in pairs(g_currentMission.fillTypeManager.fillTypes) do
		if realMass[v.name] ~= nil then
			v.massPerLiter = realMass[v.name] * 0.001;
			print("Fillable mass of Filltype "..tostring(v.name).." changed to "..tostring(v.massPerLiter*1000).." tons per m³ (or Piece) (according to real mass table)");
		end;
	end;
	
	
	print("FillTypeMassAdjustment all fillType mass values have been updated. Note: This Log entry should only exist once, if you have several of these please check to make sure you don't have several FillTypeMassAdjustment Versions in your Modfolder.")
	print("- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - ")
end;
function FillTypeMassAdjustment:keyEvent(unicode, sym, modifier, isDown)
end;
function FillTypeMassAdjustment:update(dt)
end;
function FillTypeMassAdjustment:draw()
end;
function FillTypeMassAdjustment:deleteMap()
end;
function FillTypeMassAdjustment:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(FillTypeMassAdjustment);







